ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 1509 by gezelter, Wed Sep 29 17:57:47 2004 UTC vs.
Revision 2203 by gezelter, Fri Apr 15 22:03:16 2005 UTC

# Line 312 | Line 312 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT PERLINTERP PERL_SHEBANG AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CXXCPP USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 789 | Line 789 | ac_cv_env_CPP_value=$CPP
789   ac_env_CPP_value=$CPP
790   ac_cv_env_CPP_set=${CPP+set}
791   ac_cv_env_CPP_value=$CPP
792 + ac_env_CXXCPP_set=${CXXCPP+set}
793 + ac_env_CXXCPP_value=$CXXCPP
794 + ac_cv_env_CXXCPP_set=${CXXCPP+set}
795 + ac_cv_env_CXXCPP_value=$CXXCPP
796  
797   #
798   # Report the --help message.
# Line 866 | Line 870 | Optional Features:
870    --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-debug          Compile OOPSE in debug mode
873 +  --enable-doxygen        enable documentation generation with doxygen (auto)
874 +  --enable-dot            use 'dot' to generate graphs in doxygen (auto)
875 +  --enable-html-docs      enable HTML generation with doxygen (yes)
876 +  --enable-latex-docs     enable LaTeX documentation generation with doxygen (no)
877    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
878  
879   Optional Packages:
880    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
881    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
882 +  --with-perl-shebang     override what perl thinks is the way for the kernel
883 +                          to start it (seldom needed)
884    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
885 <  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
876 <                          [default=/usr/local]
877 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
885 >  --with-cgal-makefile=FILE  CGAL makefile that should be used
886  
887   Some influential environment variables:
888    CC          C compiler command
# Line 888 | Line 896 | Some influential environment variables:
896    F90         Fortran 90 compiler command
897    F90FLAGS    Fortran 90 compiler flags
898    CPP         C preprocessor
899 +  CXXCPP      C++ preprocessor
900  
901   Use these variables to override the choices made by `configure' or to help
902   it to find libraries and programs with nonstandard names/locations.
# Line 1813 | Line 1822 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1822   # $SHELLVAR to the Fortran 95 mangled name.  If the SHELLVAR
1823   # argument is not supplied, it defaults to NAME.
1824   # AC_F95_FUNC
1825 +
1826 + # AC_F90_MODULE_NAMES
1827 + # -------------------
1828 + #
1829 + # Figure out how the Fortran 90 compiler constructs module file names
1830 + #
1831 + # AC_F90_MODULE_NAMES
1832 +
1833 +
1834 +
1835 +
1836  
1837  
1838  
# Line 1862 | Line 1882 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1882  
1883  
1884  
1885 + #
1886 + #
1887 + #
1888  
1889  
1890  
# Line 3527 | Line 3550 | F90FLAGS="$F90FLAGS $ac_verb"
3550   ac_save_F90FLAGS=$F90FLAGS
3551   F90FLAGS="$F90FLAGS $ac_verb"
3552  
3553 < (eval echo $as_me:3530: \"$ac_link\") >&5
3553 > (eval echo $as_me:3553: \"$ac_link\") >&5
3554   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3555   echo "$ac_f90_v_output" >&5
3556   F90FLAGS=$ac_save_F90FLAGS
# Line 3604 | Line 3627 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3627   ac_save_F90FLAGS=$F90FLAGS
3628   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3629  
3630 < (eval echo $as_me:3607: \"$ac_link\") >&5
3630 > (eval echo $as_me:3630: \"$ac_link\") >&5
3631   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3632   echo "$ac_f90_v_output" >&5
3633   F90FLAGS=$ac_save_F90FLAGS
# Line 4199 | Line 4222 | fi
4222  
4223     rm -f conftest* conf/conftest* conf/CONFTEST* CONFTEST* conf/mpimod*
4224     if test $madedir = 1 ; then rmdir conf ; fi
4225 + fi
4226 +
4227 +
4228 + echo "$as_me:$LINENO: checking for Fortran 90 module file names" >&5
4229 + echo $ECHO_N "checking for Fortran 90 module file names... $ECHO_C" >&6
4230 + if test "${ac_cv_f90_module_names+set}" = set; then
4231 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4232 + else
4233 +  ac_ext=f90
4234 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4235 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4236 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4237 +
4238 + # carry out the test in a new directory, so that we don't miss anything
4239 + mkdir conftest
4240 + cd conftest
4241 + cat >conftest.$ac_ext <<_ACEOF
4242 + MODULE Bar
4243 + END MODULE Bar
4244 + _ACEOF
4245 + rm -f conftest.$ac_objext
4246 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4247 +  (eval $ac_compile) 2>conftest.er1
4248 +  ac_status=$?
4249 +  grep -v '^ *+' conftest.er1 >conftest.err
4250 +  rm -f conftest.er1
4251 +  cat conftest.err >&5
4252 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4253 +  (exit $ac_status); } &&
4254 +         { ac_try='test -z "$ac_f90_werror_flag"
4255 +                         || test ! -s conftest.err'
4256 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4257 +  (eval $ac_try) 2>&5
4258 +  ac_status=$?
4259 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4260 +  (exit $ac_status); }; } &&
4261 +         { ac_try='test -s conftest.$ac_objext'
4262 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4263 +  (eval $ac_try) 2>&5
4264 +  ac_status=$?
4265 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4266 +  (exit $ac_status); }; }; then
4267 +  ac_cv_f90_module_names=
4268 + ac_file_list=*
4269 + for ac_file in $ac_file_list; do
4270 +   case $ac_file in
4271 +      # don't care for original source and object files
4272 +      conftest.$ac_ext | conftest.$ac_objext | conftest.err )
4273 +          :
4274 +          ;;
4275 +      # look for new files derived from the file name
4276 +      *conftest*)
4277 +          ac_pat=`echo $ac_file | sed s/conftest/%FILE%/`
4278 +            ac_exists=false
4279 +  for ac_i in $ac_cv_f90_module_names; do
4280 +    if test x"$ac_pat" = x"$ac_i"; then
4281 +      ac_exists=true
4282 +      break
4283 +    fi
4284 +  done
4285 +
4286 +  if test x"$ac_exists" = xtrue; then
4287 +  :
4288 + else
4289 +  ac_cv_f90_module_names="$ac_cv_f90_module_names $ac_pat"
4290   fi
4291 +
4292 +          ;;
4293 +      # look for new files derived from the module name,
4294 +      # with different case translation schemes
4295 +      *Bar*)
4296 +          ac_pat=`echo $ac_file | sed s/Bar/%Module%/`
4297 +            ac_exists=false
4298 +  for ac_i in $ac_cv_f90_module_names; do
4299 +    if test x"$ac_pat" = x"$ac_i"; then
4300 +      ac_exists=true
4301 +      break
4302 +    fi
4303 +  done
4304 +
4305 +  if test x"$ac_exists" = xtrue; then
4306 +  :
4307 + else
4308 +  ac_cv_f90_module_names="$ac_cv_f90_module_names $ac_pat"
4309 + fi
4310 +
4311 +          ;;
4312 +      *bar*)
4313 +          ac_pat=`echo $ac_file | sed s/bar/%module%/`
4314 +            ac_exists=false
4315 +  for ac_i in $ac_cv_f90_module_names; do
4316 +    if test x"$ac_pat" = x"$ac_i"; then
4317 +      ac_exists=true
4318 +      break
4319 +    fi
4320 +  done
4321 +
4322 +  if test x"$ac_exists" = xtrue; then
4323 +  :
4324 + else
4325 +  ac_cv_f90_module_names="$ac_cv_f90_module_names $ac_pat"
4326 + fi
4327 +
4328 +          ;;
4329 +      *BAR*)
4330 +          ac_pat=`echo $ac_file | sed s/BAR/%MODULE%/`
4331 +            ac_exists=false
4332 +  for ac_i in $ac_cv_f90_module_names; do
4333 +    if test x"$ac_pat" = x"$ac_i"; then
4334 +      ac_exists=true
4335 +      break
4336 +    fi
4337 +  done
4338 +
4339 +  if test x"$ac_exists" = xtrue; then
4340 +  :
4341 + else
4342 +  ac_cv_f90_module_names="$ac_cv_f90_module_names $ac_pat"
4343 + fi
4344 +
4345 +          ;;
4346 +       # Other files - we have no idea how they are generated
4347 +       *)
4348 +          { echo "$as_me:$LINENO: WARNING: Bogus file found: $ac_file" >&5
4349 + echo "$as_me: WARNING: Bogus file found: $ac_file" >&2;}
4350 +          ;;
4351 +   esac
4352 + done
4353 + if test "x$ac_cv_f90_module_names" = "x"; then
4354 +  { echo "$as_me:$LINENO: WARNING: Couldn't determine module file names" >&5
4355 + echo "$as_me: WARNING: Couldn't determine module file names" >&2;}
4356 + fi
4357 +
4358 + else
4359 +  echo "$as_me: failed program was:" >&5
4360 + sed 's/^/| /' conftest.$ac_ext >&5
4361 +
4362 + ac_cv_f90_module_names=
4363 + { echo "$as_me:$LINENO: WARNING: Couldn't determine module file names" >&5
4364 + echo "$as_me: WARNING: Couldn't determine module file names" >&2;}
4365 + fi
4366 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4367 + cd ..
4368 + # cleanup
4369 + rm -rf conftest
4370 + ac_ext=f90
4371 + ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
4372 + ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
4373 + ac_compiler_gnu=$ac_cv_f90_compiler_gnu
4374 +
4375 + fi
4376 + echo "$as_me:$LINENO: result: $ac_cv_f90_module_names" >&5
4377 + echo "${ECHO_T}$ac_cv_f90_module_names" >&6 # AC_CACHE_CHECK
4378 +
4379 + # We now generate a shell script that will help us to figure out the correct
4380 + # module file names, using the value of ac_cv_f90_module_names
4381 +
4382 + echo "Generating shell script modnam"
4383 +
4384 + cat > scripts/modnam << EOF
4385 + #! /bin/sh
4386 + # This script is auto-generated by configure
4387 + #
4388 + usage="\\
4389 + Usage: \$0 [FILES]
4390 +
4391 + [FILES] are Fortran 90 source files.
4392 + The output is a list of module file names that the Fortran 90 compiler
4393 + generates when compiling [FILES]."
4394 +
4395 + list=
4396 + empty=
4397 +
4398 + if test \$# -eq 0; then
4399 +   echo "\$usage"; exit 0
4400 + fi
4401 +
4402 + while test \$# != 0; do
4403 +
4404 +  file=\$1
4405 +  shift
4406 +
4407 + # strip suffix
4408 +  base=\`echo \$file | sed 's/[.][^.]*$//'\`
4409 +
4410 +  test ! -f \$file && continue
4411 +
4412 + # Look for module definitions and transform them to upper / lower case
4413 +  mods=\`cat \$file | sed '/^ *[mM][oO][dD][uU][lL][eE]/!d;s/^ *[mM][oO][dD][uU][lL][eE] *\([A-Za-z_][A-Za-z0-9_]*\).*\$/\1/'\`
4414 +  upper=\`echo \$mods | tr a-z A-Z\`
4415 +  lower=\`echo \$mods | tr A-Z a-z\`
4416 +
4417 + # Here, the patterns for generating module file names were inserted by configure
4418 +  for trans in $ac_cv_f90_module_names; do
4419  
4420 +    pat=\`echo \$trans | sed 's/.*\(%.*%\).*/\1/'\`
4421 +    var=empty
4422 +    case \$pat in
4423 +       %MODULE%)
4424 +          var=upper ;;
4425 +       %Module%)
4426 +          var=mods ;;
4427 +       %module%)
4428 +          var=lower ;;
4429 +       %FILE%)
4430 +          test -n "\$mods" && var=base ;;
4431 +    esac
4432 +    new=\`eval '(for i in \$'\$var '; do echo \$trans | sed s/\$pat/\$i/; done)'\`
4433 +    list="\$list \$new"
4434 +  done
4435 + done
4436 +
4437 + echo \$list
4438 + # end of configure-generated script
4439 + EOF
4440 + chmod 755 scripts/modnam
4441 +
4442 + pat=`echo $ac_cv_f90_module_names | sed 's/.*\(%.*%\).*/\1/'`
4443 + F90_MODULE_NAMES=empty
4444 + case $pat in
4445 +       %MODULE%)
4446 +          F90_MODULE_NAMES=UPPER ;;
4447 +       %Module%)
4448 +          F90_MODULE_NAMES=Mixed ;;
4449 +       %module%)
4450 +          F90_MODULE_NAMES=lower ;;
4451 +       *)
4452 +          F90_MODULE_NAMES=unknown ;;
4453 + esac
4454  
4455   ac_ext=c
4456   ac_cpp='$CPP $CPPFLAGS'
# Line 4688 | Line 4938 | fi
4938   sed 's/^/| /' conftest.$ac_ext >&5
4939  
4940   eval "$as_ac_Header=no"
4941 + fi
4942 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
4943 + fi
4944 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4945 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4946 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
4947 +  cat >>confdefs.h <<_ACEOF
4948 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4949 + _ACEOF
4950 +
4951 + fi
4952 +
4953 + done
4954 +
4955 +
4956 +
4957 +
4958 +
4959 +
4960 +
4961 +
4962 +
4963 +
4964 +
4965 + for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
4966 + do
4967 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4968 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4969 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4970 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4971 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4972 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4973 + fi
4974 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4975 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4976 + else
4977 +  # Is the header compilable?
4978 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4979 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4980 + cat >conftest.$ac_ext <<_ACEOF
4981 + /* confdefs.h.  */
4982 + _ACEOF
4983 + cat confdefs.h >>conftest.$ac_ext
4984 + cat >>conftest.$ac_ext <<_ACEOF
4985 + /* end confdefs.h.  */
4986 + $ac_includes_default
4987 + #include <$ac_header>
4988 + _ACEOF
4989 + rm -f conftest.$ac_objext
4990 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4991 +  (eval $ac_compile) 2>conftest.er1
4992 +  ac_status=$?
4993 +  grep -v '^ *+' conftest.er1 >conftest.err
4994 +  rm -f conftest.er1
4995 +  cat conftest.err >&5
4996 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4997 +  (exit $ac_status); } &&
4998 +         { ac_try='test -z "$ac_c_werror_flag"
4999 +                         || test ! -s conftest.err'
5000 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5001 +  (eval $ac_try) 2>&5
5002 +  ac_status=$?
5003 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5004 +  (exit $ac_status); }; } &&
5005 +         { ac_try='test -s conftest.$ac_objext'
5006 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5007 +  (eval $ac_try) 2>&5
5008 +  ac_status=$?
5009 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5010 +  (exit $ac_status); }; }; then
5011 +  ac_header_compiler=yes
5012 + else
5013 +  echo "$as_me: failed program was:" >&5
5014 + sed 's/^/| /' conftest.$ac_ext >&5
5015 +
5016 + ac_header_compiler=no
5017   fi
5018   rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5019 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5020 + echo "${ECHO_T}$ac_header_compiler" >&6
5021 +
5022 + # Is the header present?
5023 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5024 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5025 + cat >conftest.$ac_ext <<_ACEOF
5026 + /* confdefs.h.  */
5027 + _ACEOF
5028 + cat confdefs.h >>conftest.$ac_ext
5029 + cat >>conftest.$ac_ext <<_ACEOF
5030 + /* end confdefs.h.  */
5031 + #include <$ac_header>
5032 + _ACEOF
5033 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5034 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5035 +  ac_status=$?
5036 +  grep -v '^ *+' conftest.er1 >conftest.err
5037 +  rm -f conftest.er1
5038 +  cat conftest.err >&5
5039 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5040 +  (exit $ac_status); } >/dev/null; then
5041 +  if test -s conftest.err; then
5042 +    ac_cpp_err=$ac_c_preproc_warn_flag
5043 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5044 +  else
5045 +    ac_cpp_err=
5046 +  fi
5047 + else
5048 +  ac_cpp_err=yes
5049   fi
5050 + if test -z "$ac_cpp_err"; then
5051 +  ac_header_preproc=yes
5052 + else
5053 +  echo "$as_me: failed program was:" >&5
5054 + sed 's/^/| /' conftest.$ac_ext >&5
5055 +
5056 +  ac_header_preproc=no
5057 + fi
5058 + rm -f conftest.err conftest.$ac_ext
5059 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5060 + echo "${ECHO_T}$ac_header_preproc" >&6
5061 +
5062 + # So?  What about this header?
5063 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5064 +  yes:no: )
5065 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5066 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5067 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5068 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5069 +    ac_header_preproc=yes
5070 +    ;;
5071 +  no:yes:* )
5072 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5073 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5074 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5075 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5076 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5077 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5078 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5079 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5080 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5081 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5082 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5083 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5084 +    (
5085 +      cat <<\_ASBOX
5086 + ## ------------------------------ ##
5087 + ## Report this to gezelter@nd.edu ##
5088 + ## ------------------------------ ##
5089 + _ASBOX
5090 +    ) |
5091 +      sed "s/^/$as_me: WARNING:     /" >&2
5092 +    ;;
5093 + esac
5094 + echo "$as_me:$LINENO: checking for $ac_header" >&5
5095 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5096 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5097 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5098 + else
5099 +  eval "$as_ac_Header=\$ac_header_preproc"
5100 + fi
5101   echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5102   echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5103 +
5104 + fi
5105   if test `eval echo '${'$as_ac_Header'}'` = yes; then
5106    cat >>confdefs.h <<_ACEOF
5107   #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5108 + _ACEOF
5109 +
5110 + fi
5111 +
5112 + done
5113 +
5114 +
5115 +
5116 +
5117 +
5118 +
5119 + for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
5120 + do
5121 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5122 + echo "$as_me:$LINENO: checking for $ac_func" >&5
5123 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
5124 + if eval "test \"\${$as_ac_var+set}\" = set"; then
5125 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5126 + else
5127 +  cat >conftest.$ac_ext <<_ACEOF
5128 + /* confdefs.h.  */
5129 + _ACEOF
5130 + cat confdefs.h >>conftest.$ac_ext
5131 + cat >>conftest.$ac_ext <<_ACEOF
5132 + /* end confdefs.h.  */
5133 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5134 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
5135 + #define $ac_func innocuous_$ac_func
5136 +
5137 + /* System header to define __stub macros and hopefully few prototypes,
5138 +    which can conflict with char $ac_func (); below.
5139 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5140 +    <limits.h> exists even on freestanding compilers.  */
5141 +
5142 + #ifdef __STDC__
5143 + # include <limits.h>
5144 + #else
5145 + # include <assert.h>
5146 + #endif
5147 +
5148 + #undef $ac_func
5149 +
5150 + /* Override any gcc2 internal prototype to avoid an error.  */
5151 + #ifdef __cplusplus
5152 + extern "C"
5153 + {
5154 + #endif
5155 + /* We use char because int might match the return type of a gcc2
5156 +   builtin and then its argument prototype would still apply.  */
5157 + char $ac_func ();
5158 + /* The GNU C library defines this for functions which it implements
5159 +    to always fail with ENOSYS.  Some functions are actually named
5160 +    something starting with __ and the normal name is an alias.  */
5161 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
5162 + choke me
5163 + #else
5164 + char (*f) () = $ac_func;
5165 + #endif
5166 + #ifdef __cplusplus
5167 + }
5168 + #endif
5169 +
5170 + int
5171 + main ()
5172 + {
5173 + return f != $ac_func;
5174 +  ;
5175 +  return 0;
5176 + }
5177   _ACEOF
5178 + rm -f conftest.$ac_objext conftest$ac_exeext
5179 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5180 +  (eval $ac_link) 2>conftest.er1
5181 +  ac_status=$?
5182 +  grep -v '^ *+' conftest.er1 >conftest.err
5183 +  rm -f conftest.er1
5184 +  cat conftest.err >&5
5185 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5186 +  (exit $ac_status); } &&
5187 +         { ac_try='test -z "$ac_c_werror_flag"
5188 +                         || test ! -s conftest.err'
5189 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5190 +  (eval $ac_try) 2>&5
5191 +  ac_status=$?
5192 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5193 +  (exit $ac_status); }; } &&
5194 +         { ac_try='test -s conftest$ac_exeext'
5195 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5196 +  (eval $ac_try) 2>&5
5197 +  ac_status=$?
5198 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5199 +  (exit $ac_status); }; }; then
5200 +  eval "$as_ac_var=yes"
5201 + else
5202 +  echo "$as_me: failed program was:" >&5
5203 + sed 's/^/| /' conftest.$ac_ext >&5
5204  
5205 + eval "$as_ac_var=no"
5206   fi
5207 + rm -f conftest.err conftest.$ac_objext \
5208 +      conftest$ac_exeext conftest.$ac_ext
5209 + fi
5210 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
5211 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
5212 + if test `eval echo '${'$as_ac_var'}'` = yes; then
5213 +  cat >>confdefs.h <<_ACEOF
5214 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5215 + _ACEOF
5216  
5217 + fi
5218   done
5219 +
5220 + # special check for _system_configuration because AIX <4.3.2 do not
5221 + # contain the `physmem' member.
5222 + echo "$as_me:$LINENO: checking for external symbol _system_configuration" >&5
5223 + echo $ECHO_N "checking for external symbol _system_configuration... $ECHO_C" >&6
5224 + cat >conftest.$ac_ext <<_ACEOF
5225 + /* confdefs.h.  */
5226 + _ACEOF
5227 + cat confdefs.h >>conftest.$ac_ext
5228 + cat >>conftest.$ac_ext <<_ACEOF
5229 + /* end confdefs.h.  */
5230 + #include <sys/systemcfg.h>
5231 + int
5232 + main ()
5233 + {
5234 + double x = _system_configuration.physmem;
5235 +  ;
5236 +  return 0;
5237 + }
5238 + _ACEOF
5239 + rm -f conftest.$ac_objext
5240 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5241 +  (eval $ac_compile) 2>conftest.er1
5242 +  ac_status=$?
5243 +  grep -v '^ *+' conftest.er1 >conftest.err
5244 +  rm -f conftest.er1
5245 +  cat conftest.err >&5
5246 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5247 +  (exit $ac_status); } &&
5248 +         { ac_try='test -z "$ac_c_werror_flag"
5249 +                         || test ! -s conftest.err'
5250 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5251 +  (eval $ac_try) 2>&5
5252 +  ac_status=$?
5253 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5254 +  (exit $ac_status); }; } &&
5255 +         { ac_try='test -s conftest.$ac_objext'
5256 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5257 +  (eval $ac_try) 2>&5
5258 +  ac_status=$?
5259 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5260 +  (exit $ac_status); }; }; then
5261 +  echo "$as_me:$LINENO: result: yes" >&5
5262 + echo "${ECHO_T}yes" >&6
5263  
5264 + cat >>confdefs.h <<\_ACEOF
5265 + #define HAVE__SYSTEM_CONFIGURATION 1
5266 + _ACEOF
5267  
5268 + else
5269 +  echo "$as_me: failed program was:" >&5
5270 + sed 's/^/| /' conftest.$ac_ext >&5
5271 +
5272 + echo "$as_me:$LINENO: result: no" >&5
5273 + echo "${ECHO_T}no" >&6
5274 + fi
5275 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5276 +
5277    # clean out junk possibly left behind by a previous configuration
5278 <  rm -f utils/getopt.h
5278 >  rm -f src/getopt.h
5279    # Check for getopt_long support
5280  
5281   for ac_header in getopt.h
# Line 5044 | Line 5615 | esac
5615    *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5616   esac
5617  
5618 <                ac_config_links="$ac_config_links utils/getopt.h:utils/gnugetopt.h"
5618 >                ac_config_links="$ac_config_links src/getopt.h:src/utils/gnugetopt.h"
5619  
5620   fi
5621  
# Line 5138 | Line 5709 | if test "$ac_test_CFLAGS" != "set"; then
5709          fi;;
5710     *darwin*)
5711          if test "$CC" = xlc -o "$CC" = cc; then
5712 <                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5712 >                CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5713          fi;;
5714    esac
5715  
# Line 5589 | Line 6160 | if test "$ac_test_CXXFLAGS" != "set"; then
6160                  echo "*******************************************************"
6161          fi;;
6162     *darwin*)
6163 <        if test "$CXX" = xlc++; then
6164 <                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6163 >        if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
6164 >                CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6165          fi;;
6166    esac
6167  
# Line 6002 | Line 6573 | if test x"$F90FLAGS" = x ; then
6573          fi;;
6574     *darwin*)
6575          if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
6576 <                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
6576 >                F90FLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
6577          fi;;
6578    esac
6579  
# Line 6595 | Line 7166 | fi
7166   fi
7167  
7168   fi
7169 +
7170 +   # Extract the first word of "perl", so it can be a program name with args.
7171 + set dummy perl; ac_word=$2
7172 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7173 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7174 + if test "${ac_cv_path_PERLINTERP+set}" = set; then
7175 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7176 + else
7177 +  case $PERLINTERP in
7178 +  [\\/]* | ?:[\\/]*)
7179 +  ac_cv_path_PERLINTERP="$PERLINTERP" # Let the user override the test with a path.
7180 +  ;;
7181 +  *)
7182 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7183 + for as_dir in $PATH
7184 + do
7185 +  IFS=$as_save_IFS
7186 +  test -z "$as_dir" && as_dir=.
7187 +  for ac_exec_ext in '' $ac_executable_extensions; do
7188 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7189 +    ac_cv_path_PERLINTERP="$as_dir/$ac_word$ac_exec_ext"
7190 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7191 +    break 2
7192 +  fi
7193 + done
7194 + done
7195 +
7196 +  test -z "$ac_cv_path_PERLINTERP" && ac_cv_path_PERLINTERP="perl"
7197 +  ;;
7198 + esac
7199 + fi
7200 + PERLINTERP=$ac_cv_path_PERLINTERP
7201 +
7202 + if test -n "$PERLINTERP"; then
7203 +  echo "$as_me:$LINENO: result: $PERLINTERP" >&5
7204 + echo "${ECHO_T}$PERLINTERP" >&6
7205 + else
7206 +  echo "$as_me:$LINENO: result: no" >&5
7207 + echo "${ECHO_T}no" >&6
7208 + fi
7209 +
7210 +   ac_cv_path_perlinterp="$PERLINTERP"
7211 +   _sHpB='#!'
7212 +
7213 +
7214 + # Check whether --with-perl-shebang or --without-perl-shebang was given.
7215 + if test "${with_perl_shebang+set}" = set; then
7216 +  withval="$with_perl_shebang"
7217 +  opt_perl_shebang="$withval"
7218 + else
7219 +                opt_perl_shebang="not_set"
7220 + fi;
7221 +   echo "$as_me:$LINENO: checking whether explicit instead of detected sharpbang is to be used" >&5
7222 + echo $ECHO_N "checking whether explicit instead of detected sharpbang is to be used... $ECHO_C" >&6
7223 + if test "${ax_cv_opt_perl_shebang+set}" = set; then
7224 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7225 + else
7226 +   case "$opt_perl_shebang" in
7227 +                      not_set  ) ax_cv_opt_perl_shebang=''
7228 +                               ;;
7229 +                         *     )
7230 +        ax_cv_opt_perl_shebang=`echo "$opt_perl_shebang" | sed -e's|^#!\s*\(.*\)$|\1|'`
7231 +                    esac
7232 +
7233 + fi
7234 + echo "$as_me:$LINENO: result: $ax_cv_opt_perl_shebang" >&5
7235 + echo "${ECHO_T}$ax_cv_opt_perl_shebang" >&6
7236 +   if test "A$ax_cv_opt_perl_shebang" != "A"
7237 +     then
7238 +       ac_cv_sys_kernshrpbang_perl="$ax_cv_opt_perl_shebang"
7239 +       PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7240 +              { echo "$as_me:$LINENO: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&5
7241 + echo "$as_me: OK - PERL_SHEBANG is $_sHpB$PERL_SHEBANG." >&6;}
7242 +
7243 + # Automatic detection of sharpbang formula starts here
7244 +     else
7245 +   _somian_shbangperl=`$PERLINTERP -V:startperl`
7246 +   negclass="[^']"; # must leave this comment:  m4 will remove the outer brackets for us, heheh
7247 +   echo "$as_me:$LINENO: checking for kernel sharpbang invocation to start perl" >&5
7248 + echo $ECHO_N "checking for kernel sharpbang invocation to start perl... $ECHO_C" >&6
7249 + if test "${ac_cv_sys_kernshrpbang_perl+set}" = set; then
7250 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7251 + else
7252 +  _somian_kspb_perl=`echo "$_somian_shbangperl" | sed -ne"s|.*='\($negclass*\)';$|\1|p"`
7253 +        if test "x$_somian_kspb_perl" == x
7254 +          then _somian_ksbp_warn_empty='durnit'
7255 +          else
7256 +          case "A$_somian_kspb_perl" in
7257 +                 A#!*perl* )
7258 +           ac_cv_sys_kernshrpbang_perl=`echo "$_somian_kspb_perl" | sed -e's|#!\(.*\)$|\1|'`
7259 +                        ;;
7260 +                     A*    )  _somian_ksbp_warn_defau='trouble'
7261 +                              ac_cv_sys_kernshrpbang_perl="$PERLINTERP"
7262 +          esac
7263 +        fi
7264 +
7265 + fi
7266 + echo "$as_me:$LINENO: result: $ac_cv_sys_kernshrpbang_perl" >&5
7267 + echo "${ECHO_T}$ac_cv_sys_kernshrpbang_perl" >&6
7268 + # The above prints Checking ... result message to user.
7269 +   PERL_SHEBANG="$ac_cv_sys_kernshrpbang_perl"
7270 +
7271 +    if test A${_somian_ksbp_warn_empty+set} == Aset
7272 +      then   { echo "$as_me:$LINENO: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&5
7273 + echo "$as_me: WARNING: In last check, doing $PERLINTERP -V:startperl yielded empty result! That should not happen." >&2;}
7274 +    fi
7275 + # Inform user after printing result value
7276 +    if test A${_somian_ksbp_warn_defau+set} == Aset
7277 +      then { echo "$as_me:$LINENO: Maybe Not good -" >&5
7278 + echo "$as_me: Maybe Not good -" >&6;}
7279 +           { echo "$as_me:$LINENO: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&5
7280 + echo "$as_me: WARNING: In last check perl's Config query did not work so we bunted: $_sHpB$PERLINTERP" >&2;}
7281 +      else { echo "$as_me:$LINENO: OK Good result - " >&5
7282 + echo "$as_me: OK Good result - " >&6;}
7283 +           { echo "$as_me:$LINENO: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&5
7284 + echo "$as_me: In last check we got a proper-looking answer from perl's Config: $_somian_shbangperl" >&6;}
7285 +    fi
7286 +  fi
7287 +
7288   # Extract the first word of "ar", so it can be a program name with args.
7289   set dummy ar; ac_word=$2
7290   echo "$as_me:$LINENO: checking for $ac_word" >&5
# Line 6691 | Line 7381 | fi
7381   rm -f confcache
7382    exit 1
7383   fi
7384 +
7385 + # Extract the first word of "ps", so it can be a program name with args.
7386 + set dummy ps; ac_word=$2
7387 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7388 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7389 + if test "${ac_cv_path_PS+set}" = set; then
7390 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7391 + else
7392 +  case $PS in
7393 +  [\\/]* | ?:[\\/]*)
7394 +  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7395 +  ;;
7396 +  *)
7397 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7398 + for as_dir in $PATH
7399 + do
7400 +  IFS=$as_save_IFS
7401 +  test -z "$as_dir" && as_dir=.
7402 +  for ac_exec_ext in '' $ac_executable_extensions; do
7403 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7404 +    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7405 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7406 +    break 2
7407 +  fi
7408 + done
7409 + done
7410 +
7411 +  ;;
7412 + esac
7413 + fi
7414 + PS=$ac_cv_path_PS
7415 +
7416 + if test -n "$PS"; then
7417 +  echo "$as_me:$LINENO: result: $PS" >&5
7418 + echo "${ECHO_T}$PS" >&6
7419 + else
7420 +  echo "$as_me:$LINENO: result: no" >&5
7421 + echo "${ECHO_T}no" >&6
7422 + fi
7423 +
7424 + echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7425 + echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7426 + if test "${ac_cv_prog_ps_syntax+set}" = set; then
7427 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7428 + else
7429 +
7430 +        if $PS ax -o rss > /dev/null 2>&1; then
7431 +                ac_cv_prog_ps_ax=yes
7432 +        else
7433 +                ac_cv_prog_ps_ax=no
7434 +        fi
7435 +        if $PS -ef -o rss > /dev/null 2>&1; then
7436 +                ac_cv_prog_ps_ef=yes
7437 +        else
7438 +                ac_cv_prog_ps_ef=no
7439 +        fi
7440 +        if test "$ac_cv_prog_ps_ax" = yes; then
7441 +                ac_cv_prog_ps_syntax=BSD
7442 +        else
7443 +                if test "$ac_cv_prog_ps_ef" = yes; then
7444 +                        ac_cv_prog_ps_syntax=POSIX
7445 +                else
7446 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7447 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7448 +   { (exit 1); exit 1; }; }
7449 +                fi
7450 +        fi
7451 +
7452 + fi
7453 + echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7454 + echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7455 +
7456 +
7457 + cat >>confdefs.h <<_ACEOF
7458 + #define PSCOMMAND $PS
7459 + _ACEOF
7460  
7461  
7462 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7463 +  cat >>confdefs.h <<\_ACEOF
7464 + #define PSTYPE_IS_BSD 1
7465 + _ACEOF
7466  
7467 + else
7468 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7469 +       cat >>confdefs.h <<\_ACEOF
7470 + #define PSTYPE_IS_POSIX 1
7471 + _ACEOF
7472 +
7473 +   else
7474 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7475 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7476 +   { (exit 1); exit 1; }; }
7477 +   fi
7478 + fi
7479 +
7480 +
7481   # Check whether --with-mpi or --without-mpi was given.
7482   if test "${with_mpi+set}" = set; then
7483    withval="$with_mpi"
# Line 6993 | Line 7777 | fi
7777   fi
7778  
7779   fi
7780 + $as_unset ac_cv_lib_mpich_MPI_Init
7781 + if test x = x"$MPI_LIB"; then
7782 +        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
7783 + echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
7784 + if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
7785 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7786 + else
7787 +  ac_check_lib_save_LIBS=$LIBS
7788 + LIBS="-lmpich "-lpmpich" $LIBS"
7789 + cat >conftest.$ac_ext <<_ACEOF
7790 + /* confdefs.h.  */
7791 + _ACEOF
7792 + cat confdefs.h >>conftest.$ac_ext
7793 + cat >>conftest.$ac_ext <<_ACEOF
7794 + /* end confdefs.h.  */
7795  
7796 + /* Override any gcc2 internal prototype to avoid an error.  */
7797 + #ifdef __cplusplus
7798 + extern "C"
7799 + #endif
7800 + /* We use char because int might match the return type of a gcc2
7801 +   builtin and then its argument prototype would still apply.  */
7802 + char MPI_Init ();
7803 + int
7804 + main ()
7805 + {
7806 + MPI_Init ();
7807 +  ;
7808 +  return 0;
7809 + }
7810 + _ACEOF
7811 + rm -f conftest.$ac_objext conftest$ac_exeext
7812 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7813 +  (eval $ac_link) 2>conftest.er1
7814 +  ac_status=$?
7815 +  grep -v '^ *+' conftest.er1 >conftest.err
7816 +  rm -f conftest.er1
7817 +  cat conftest.err >&5
7818 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7819 +  (exit $ac_status); } &&
7820 +         { ac_try='test -z "$ac_c_werror_flag"
7821 +                         || test ! -s conftest.err'
7822 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7823 +  (eval $ac_try) 2>&5
7824 +  ac_status=$?
7825 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7826 +  (exit $ac_status); }; } &&
7827 +         { ac_try='test -s conftest$ac_exeext'
7828 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7829 +  (eval $ac_try) 2>&5
7830 +  ac_status=$?
7831 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7832 +  (exit $ac_status); }; }; then
7833 +  ac_cv_lib_mpich_MPI_Init=yes
7834 + else
7835 +  echo "$as_me: failed program was:" >&5
7836 + sed 's/^/| /' conftest.$ac_ext >&5
7837 +
7838 + ac_cv_lib_mpich_MPI_Init=no
7839 + fi
7840 + rm -f conftest.err conftest.$ac_objext \
7841 +      conftest$ac_exeext conftest.$ac_ext
7842 + LIBS=$ac_check_lib_save_LIBS
7843 + fi
7844 + echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
7845 + echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
7846 + if test $ac_cv_lib_mpich_MPI_Init = yes; then
7847 +  MPI_LIB="-lmpich -lpmpich"
7848 + fi
7849 +
7850 + fi
7851 +
7852   $as_unset ac_cv_lib_mpi_MPI_Init
7853   if test x = x"$MPI_LIB"; then
7854   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 7093 | Line 7948 | fi
7948  
7949  
7950  
7096 # Check whether --with-sprng or --without-sprng was given.
7097 if test "${with_sprng+set}" = set; then
7098  withval="$with_sprng"
7099  with_sprng=$withval
7100 else
7101  with_sprng="/usr/local"
7102 fi;
7951  
7952 < case "x$with_sprng" in
7953 <        xyes | "x")  USE_SPRNG=yes;;
7106 <        xno) USE_SPRNG=no ;;
7107 <        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7108 < esac
7109 < if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7110 <        SPRNG="/usr/local"
7111 < fi
7112 < if test "$USE_SPRNG" = "yes"; then
7113 <
7114 <
7115 < # Set variables...
7116 < SPRNG_LIB_DIR="$SPRNG/lib"
7117 < SPRNG_INC_DIR="$SPRNG/include"
7952 > USE_CGAL=no
7953 > cgal_makefile=auto
7954  
7955 + # Check whether --with-cgal-makefile or --without-cgal-makefile was given.
7956 + if test "${with_cgal_makefile+set}" = set; then
7957 +  withval="$with_cgal_makefile"
7958 +  cgal_makefile="$withval"
7959 + fi;
7960  
7961 + if test "x$cgal_makefile" != xno; then
7962  
7963 < echo "$as_me:$LINENO: checking for sprng.h" >&5
7964 < echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7965 < have_sprng_h=0
7124 < echo '#include <sprng.h>' > conftest.cc
7125 < if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7126 <        echo "$as_me:$LINENO: result: yes" >&5
7127 < echo "${ECHO_T}yes" >&6
7128 <        have_sprng_h=1
7129 < else
7130 <        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7131 < echo "${ECHO_T}no! Check SPRNG include path!" >&6
7132 <        USE_SPRNG="no"
7133 < fi
7134 < rm -f conftest*
7135 < if test "$have_sprng_h" = 1; then
7963 >  if test "x$cgal_makefile" = xauto -a "x$CGAL_MAKEFILE" != x; then
7964 >    cgal_makefile="$CGAL_MAKEFILE"
7965 >  fi
7966  
7967 < cat >>confdefs.h <<\_ACEOF
7968 < #define HAVE_SPRNG_H 1
7139 < _ACEOF
7967 >  echo "$as_me:$LINENO: checking for cgal_makefile: $cgal_makefile" >&5
7968 > echo $ECHO_N "checking for cgal_makefile: $cgal_makefile... $ECHO_C" >&6
7969  
7970 < fi
7970 >  if test -f "$cgal_makefile"; then
7971  
7972 < ac_ext=c
7973 < ac_cpp='$CPP $CPPFLAGS'
7974 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7975 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7976 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7972 >    cat >config.tmp.Makefile <<EOF
7973 > include $cgal_makefile
7974 > default:
7975 >        @echo CGAL_OS_COMPILER=\"\${CGAL_OS_COMPILER}\" >config.tmp.cgalvariables
7976 >        @echo CGAL_INCLDIR=\"\${CGAL_INCL_DIR}\" >>config.tmp.cgalvariables
7977 >        @echo CGAL_INCLCONFDIR=\"\${CGAL_INCL_CONF_DIR}\" >>config.tmp.cgalvariables
7978 >        @echo CGAL_LIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7979 >        @echo CGAL_RLIBDIR=\"\${CGAL_LIB_DIR}/\${CGAL_OS_COMPILER}\" >>config.tmp.cgalvariables
7980 >        @echo CGAL_CXXFLAGS=\"\${CGAL_CXXFLAGS}\" >>config.tmp.cgalvariables
7981 >        @echo GMP_INCLDIR=\"\${GMP_INCL_DIR}\" >>config.tmp.cgalvariables
7982 >        @echo GMP_LIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7983 >        @echo GMP_RLIBDIR=\"\${GMP_LIB_DIR}\" >>config.tmp.cgalvariables
7984 >        @echo LEDA_INCLDIR=\"\${LEDA_INCL_DIR}\" >>config.tmp.cgalvariables
7985 >        @echo LEDA_LIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7986 >        @echo LEDA_RLIBDIR=\"\${LEDA_LIB_DIR}\" >>config.tmp.cgalvariables
7987 > EOF
7988  
7989 < ac_save_LDFLAGS=$LDFLAGS
7990 < LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7989 >    make -s -f config.tmp.Makefile
7990 >    . config.tmp.cgalvariables
7991  
7992 < echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7993 < echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7994 < if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7992 >    rm -f config.tmp.Makefile config.tmp.cgalvariables
7993 >
7994 >    if test "x$CGAL_INCLDIR" = "x"; then
7995 >      CGAL_INCLDIR=""
7996 >    fi
7997 >
7998 >    if test "x$CGAL_LIBDIR" = "x"; then
7999 >      CGAL_LIBDIR=""
8000 >    fi
8001 >
8002 >    if test "x$CGAL_RLIBDIR" = "x"; then
8003 >      CGAL_RLIBDIR=""
8004 >    fi
8005 >
8006 >    if test "x$LEDA_INCLDIR" = "x"; then
8007 >      LEDA_INCLDIR=""
8008 >    fi
8009 >
8010 >    if test "x$LEDA_LIBDIR" = "x"; then
8011 >      LEDA_LIBDIR=""
8012 >    fi
8013 >
8014 >    if test "x$LEDA_RLIBDIR" = "x"; then
8015 >      LEDA_RLIBDIR=""
8016 >    fi
8017 >
8018 >    if test "x$GMP_INCLDIR" = "x"; then
8019 >      GMP_INCLDIR=""
8020 >    fi
8021 >
8022 >    if test "x$GMP_LIBDIR" = "x"; then
8023 >      GMP_LIBDIR=""
8024 >    fi
8025 >
8026 >    if test "x$GMP_RLIBDIR" = "x"; then
8027 >      GMP_RLIBDIR=""
8028 >    fi
8029 >
8030 >    echo "$as_me:$LINENO: result: CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&5
8031 > echo "${ECHO_T}CGAL_OS_COMPILER=   $CGAL_OS_COMPILER" >&6
8032 >    echo "$as_me:$LINENO: result: CGAL_INCLDIR=       $CGAL_INCLDIR" >&5
8033 > echo "${ECHO_T}CGAL_INCLDIR=       $CGAL_INCLDIR" >&6
8034 >    echo "$as_me:$LINENO: result: CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&5
8035 > echo "${ECHO_T}CGAL_INCLCONFDIR=   $CGAL_INCLCONFDIR" >&6
8036 >    echo "$as_me:$LINENO: result: CGAL_LIBDIR=        $CGAL_LIBDIR" >&5
8037 > echo "${ECHO_T}CGAL_LIBDIR=        $CGAL_LIBDIR" >&6
8038 >    echo "$as_me:$LINENO: result: CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&5
8039 > echo "${ECHO_T}CGAL_CXXFLAGS=      $CGAL_CXXFLAGS" >&6
8040 >    echo "$as_me:$LINENO: result: LEDA_INCLDIR=       $LEDA_INCLDIR" >&5
8041 > echo "${ECHO_T}LEDA_INCLDIR=       $LEDA_INCLDIR" >&6
8042 >    echo "$as_me:$LINENO: result: LEDA_LIBDIR=        $LEDA_LIBDIR" >&5
8043 > echo "${ECHO_T}LEDA_LIBDIR=        $LEDA_LIBDIR" >&6
8044 >    echo "$as_me:$LINENO: result: GMP_INCLDIR=        $GMP_INCLDIR" >&5
8045 > echo "${ECHO_T}GMP_INCLDIR=        $GMP_INCLDIR" >&6
8046 >    echo "$as_me:$LINENO: result: GMP_LIBDIR=         $GMP_LIBDIR" >&5
8047 > echo "${ECHO_T}GMP_LIBDIR=         $GMP_LIBDIR" >&6
8048 >
8049 >    ac_ext=cc
8050 > ac_cpp='$CXXCPP $CPPFLAGS'
8051 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8052 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8053 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8054 >
8055 >    save_CXXFLAGS="$CXXFLAGS"
8056 >    CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8057 >
8058 > ac_ext=cc
8059 > ac_cpp='$CXXCPP $CPPFLAGS'
8060 > ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8061 > ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8062 > ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8063 > echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
8064 > echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
8065 > if test -z "$CXXCPP"; then
8066 >  if test "${ac_cv_prog_CXXCPP+set}" = set; then
8067    echo $ECHO_N "(cached) $ECHO_C" >&6
8068   else
8069 <  ac_check_lib_save_LIBS=$LIBS
8070 < LIBS="-lsprng  $LIBS"
8071 < cat >conftest.$ac_ext <<_ACEOF
8069 >      # Double quotes because CXXCPP needs to be expanded
8070 >    for CXXCPP in "$CXX -E" "/lib/cpp"
8071 >    do
8072 >      ac_preproc_ok=false
8073 > for ac_cxx_preproc_warn_flag in '' yes
8074 > do
8075 >  # Use a header file that comes with gcc, so configuring glibc
8076 >  # with a fresh cross-compiler works.
8077 >  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8078 >  # <limits.h> exists even on freestanding compilers.
8079 >  # On the NeXT, cc -E runs the code through the compiler's parser,
8080 >  # not just through cpp. "Syntax error" is here to catch this case.
8081 >  cat >conftest.$ac_ext <<_ACEOF
8082   /* confdefs.h.  */
8083   _ACEOF
8084   cat confdefs.h >>conftest.$ac_ext
8085   cat >>conftest.$ac_ext <<_ACEOF
8086   /* end confdefs.h.  */
8087 <
8088 < /* Override any gcc2 internal prototype to avoid an error.  */
8089 < #ifdef __cplusplus
8090 < extern "C"
8087 > #ifdef __STDC__
8088 > # include <limits.h>
8089 > #else
8090 > # include <assert.h>
8091   #endif
8092 < /* We use char because int might match the return type of a gcc2
7171 <   builtin and then its argument prototype would still apply.  */
7172 < char init_rng ();
7173 < int
7174 < main ()
7175 < {
7176 < init_rng ();
7177 <  ;
7178 <  return 0;
7179 < }
8092 >                     Syntax error
8093   _ACEOF
8094 < rm -f conftest.$ac_objext conftest$ac_exeext
8095 < if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7183 <  (eval $ac_link) 2>conftest.er1
8094 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8095 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8096    ac_status=$?
8097    grep -v '^ *+' conftest.er1 >conftest.err
8098    rm -f conftest.er1
8099    cat conftest.err >&5
8100    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8101 <  (exit $ac_status); } &&
8102 <         { ac_try='test -z "$ac_c_werror_flag"
8103 <                         || test ! -s conftest.err'
8104 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8105 <  (eval $ac_try) 2>&5
8106 <  ac_status=$?
8107 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7196 <  (exit $ac_status); }; } &&
7197 <         { ac_try='test -s conftest$ac_exeext'
7198 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7199 <  (eval $ac_try) 2>&5
7200 <  ac_status=$?
7201 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7202 <  (exit $ac_status); }; }; then
7203 <  ac_cv_lib_sprng_init_rng=yes
8101 >  (exit $ac_status); } >/dev/null; then
8102 >  if test -s conftest.err; then
8103 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8104 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8105 >  else
8106 >    ac_cpp_err=
8107 >  fi
8108   else
8109 +  ac_cpp_err=yes
8110 + fi
8111 + if test -z "$ac_cpp_err"; then
8112 +  :
8113 + else
8114    echo "$as_me: failed program was:" >&5
8115   sed 's/^/| /' conftest.$ac_ext >&5
8116  
8117 < ac_cv_lib_sprng_init_rng=no
8117 >  # Broken: fails on valid input.
8118 > continue
8119   fi
8120 < rm -f conftest.err conftest.$ac_objext \
7211 <      conftest$ac_exeext conftest.$ac_ext
7212 < LIBS=$ac_check_lib_save_LIBS
7213 < fi
7214 < echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7215 < echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7216 < if test $ac_cv_lib_sprng_init_rng = yes; then
7217 <  SPRNG_LIB="-lsprng"
7218 < else
8120 > rm -f conftest.err conftest.$ac_ext
8121  
8122 <             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
8123 < echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
8124 <   { (exit 1); exit 1; }; }
8125 <             USE_SPRNG="no"
8122 >  # OK, works on sane cases.  Now check whether non-existent headers
8123 >  # can be detected and how.
8124 >  cat >conftest.$ac_ext <<_ACEOF
8125 > /* confdefs.h.  */
8126 > _ACEOF
8127 > cat confdefs.h >>conftest.$ac_ext
8128 > cat >>conftest.$ac_ext <<_ACEOF
8129 > /* end confdefs.h.  */
8130 > #include <ac_nonexistent.h>
8131 > _ACEOF
8132 > if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8133 >  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8134 >  ac_status=$?
8135 >  grep -v '^ *+' conftest.er1 >conftest.err
8136 >  rm -f conftest.er1
8137 >  cat conftest.err >&5
8138 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8139 >  (exit $ac_status); } >/dev/null; then
8140 >  if test -s conftest.err; then
8141 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8142 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8143 >  else
8144 >    ac_cpp_err=
8145 >  fi
8146 > else
8147 >  ac_cpp_err=yes
8148 > fi
8149 > if test -z "$ac_cpp_err"; then
8150 >  # Broken: success on invalid input.
8151 > continue
8152 > else
8153 >  echo "$as_me: failed program was:" >&5
8154 > sed 's/^/| /' conftest.$ac_ext >&5
8155  
8156 +  # Passes both tests.
8157 + ac_preproc_ok=:
8158 + break
8159   fi
8160 + rm -f conftest.err conftest.$ac_ext
8161  
8162 <
8163 < if test "$USE_SPRNG" = "no"; then
8164 <  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
8165 < echo "$as_me: error: No working SPRNG library found" >&2;}
8166 <   { (exit 1); exit 1; }; }
8162 > done
8163 > # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8164 > rm -f conftest.err conftest.$ac_ext
8165 > if $ac_preproc_ok; then
8166 >  break
8167   fi
8168  
8169 +    done
8170 +    ac_cv_prog_CXXCPP=$CXXCPP
8171  
8172   fi
8173 +  CXXCPP=$ac_cv_prog_CXXCPP
8174 + else
8175 +  ac_cv_prog_CXXCPP=$CXXCPP
8176 + fi
8177 + echo "$as_me:$LINENO: result: $CXXCPP" >&5
8178 + echo "${ECHO_T}$CXXCPP" >&6
8179 + ac_preproc_ok=false
8180 + for ac_cxx_preproc_warn_flag in '' yes
8181 + do
8182 +  # Use a header file that comes with gcc, so configuring glibc
8183 +  # with a fresh cross-compiler works.
8184 +  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
8185 +  # <limits.h> exists even on freestanding compilers.
8186 +  # On the NeXT, cc -E runs the code through the compiler's parser,
8187 +  # not just through cpp. "Syntax error" is here to catch this case.
8188 +  cat >conftest.$ac_ext <<_ACEOF
8189 + /* confdefs.h.  */
8190 + _ACEOF
8191 + cat confdefs.h >>conftest.$ac_ext
8192 + cat >>conftest.$ac_ext <<_ACEOF
8193 + /* end confdefs.h.  */
8194 + #ifdef __STDC__
8195 + # include <limits.h>
8196 + #else
8197 + # include <assert.h>
8198 + #endif
8199 +                     Syntax error
8200 + _ACEOF
8201 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8202 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8203 +  ac_status=$?
8204 +  grep -v '^ *+' conftest.er1 >conftest.err
8205 +  rm -f conftest.er1
8206 +  cat conftest.err >&5
8207 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8208 +  (exit $ac_status); } >/dev/null; then
8209 +  if test -s conftest.err; then
8210 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8211 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8212 +  else
8213 +    ac_cpp_err=
8214 +  fi
8215 + else
8216 +  ac_cpp_err=yes
8217 + fi
8218 + if test -z "$ac_cpp_err"; then
8219 +  :
8220 + else
8221 +  echo "$as_me: failed program was:" >&5
8222 + sed 's/^/| /' conftest.$ac_ext >&5
8223  
8224 +  # Broken: fails on valid input.
8225 + continue
8226 + fi
8227 + rm -f conftest.err conftest.$ac_ext
8228  
8229 +  # OK, works on sane cases.  Now check whether non-existent headers
8230 +  # can be detected and how.
8231 +  cat >conftest.$ac_ext <<_ACEOF
8232 + /* confdefs.h.  */
8233 + _ACEOF
8234 + cat confdefs.h >>conftest.$ac_ext
8235 + cat >>conftest.$ac_ext <<_ACEOF
8236 + /* end confdefs.h.  */
8237 + #include <ac_nonexistent.h>
8238 + _ACEOF
8239 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8240 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
8241 +  ac_status=$?
8242 +  grep -v '^ *+' conftest.er1 >conftest.err
8243 +  rm -f conftest.er1
8244 +  cat conftest.err >&5
8245 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
8246 +  (exit $ac_status); } >/dev/null; then
8247 +  if test -s conftest.err; then
8248 +    ac_cpp_err=$ac_cxx_preproc_warn_flag
8249 +    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8250 +  else
8251 +    ac_cpp_err=
8252 +  fi
8253 + else
8254 +  ac_cpp_err=yes
8255 + fi
8256 + if test -z "$ac_cpp_err"; then
8257 +  # Broken: success on invalid input.
8258 + continue
8259 + else
8260 +  echo "$as_me: failed program was:" >&5
8261 + sed 's/^/| /' conftest.$ac_ext >&5
8262  
8263 < echo "$as_me:$LINENO: checking if MKL is wanted" >&5
8264 < echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
8263 >  # Passes both tests.
8264 > ac_preproc_ok=:
8265 > break
8266 > fi
8267 > rm -f conftest.err conftest.$ac_ext
8268  
8269 < # Check whether --with-mkl or --without-mkl was given.
8270 < if test "${with_mkl+set}" = set; then
8271 <  withval="$with_mkl"
8272 <     echo "$as_me:$LINENO: result: yes" >&5
8273 < echo "${ECHO_T}yes" >&6
8274 <    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
8275 <        mkldir="$dir"
8276 <        if test -f "$dir/include/mkl.h"; then
8277 <            found_mkl="yes";
8278 <            break;
7252 <        fi
7253 <    done
7254 <    if test x_$found_mkl != x_yes; then
7255 <        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7256 < echo "$as_me: error: Cannot find MKL includes" >&2;}
8269 > done
8270 > # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
8271 > rm -f conftest.err conftest.$ac_ext
8272 > if $ac_preproc_ok; then
8273 >  :
8274 > else
8275 >  { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8276 > See \`config.log' for more details." >&5
8277 > echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
8278 > See \`config.log' for more details." >&2;}
8279     { (exit 1); exit 1; }; }
8280 <    else
7259 <        printf "MKL includes found in $mkldir/include\n";
7260 <    fi
8280 > fi
8281  
8282 + ac_ext=cc
8283 + ac_cpp='$CXXCPP $CPPFLAGS'
8284 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8285 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
8286 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
8287  
8288  
8289 <  ac_ext=c
8290 < ac_cpp='$CPP $CPPFLAGS'
8291 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
8292 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7268 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7269 <
7270 <  ac_save_CPPFLAGS=$CPPFLAGS
7271 <  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7272 <  ac_save_LDFLAGS=$LDFLAGS
7273 <  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7274 <  if test "${ac_cv_header_mkl_h+set}" = set; then
7275 <  echo "$as_me:$LINENO: checking for mkl.h" >&5
7276 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7277 < if test "${ac_cv_header_mkl_h+set}" = set; then
8289 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8290 >  echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8291 > echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8292 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8293    echo $ECHO_N "(cached) $ECHO_C" >&6
8294   fi
8295 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8296 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8295 > echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8296 > echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8297   else
8298    # Is the header compilable?
8299 < echo "$as_me:$LINENO: checking mkl.h usability" >&5
8300 < echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
8299 > echo "$as_me:$LINENO: checking CGAL/Cartesian.h usability" >&5
8300 > echo $ECHO_N "checking CGAL/Cartesian.h usability... $ECHO_C" >&6
8301   cat >conftest.$ac_ext <<_ACEOF
8302   /* confdefs.h.  */
8303   _ACEOF
# Line 7290 | Line 8305 | $ac_includes_default
8305   cat >>conftest.$ac_ext <<_ACEOF
8306   /* end confdefs.h.  */
8307   $ac_includes_default
8308 < #include <mkl.h>
8308 > #include <CGAL/Cartesian.h>
8309   _ACEOF
8310   rm -f conftest.$ac_objext
8311   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
# Line 7301 | Line 8316 | if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
8316    cat conftest.err >&5
8317    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8318    (exit $ac_status); } &&
8319 <         { ac_try='test -z "$ac_c_werror_flag"
8319 >         { ac_try='test -z "$ac_cxx_werror_flag"
8320                           || test ! -s conftest.err'
8321    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8322    (eval $ac_try) 2>&5
# Line 7326 | Line 8341 | echo "$as_me:$LINENO: checking mkl.h presence" >&5
8341   echo "${ECHO_T}$ac_header_compiler" >&6
8342  
8343   # Is the header present?
8344 < echo "$as_me:$LINENO: checking mkl.h presence" >&5
8345 < echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
8344 > echo "$as_me:$LINENO: checking CGAL/Cartesian.h presence" >&5
8345 > echo $ECHO_N "checking CGAL/Cartesian.h presence... $ECHO_C" >&6
8346   cat >conftest.$ac_ext <<_ACEOF
8347   /* confdefs.h.  */
8348   _ACEOF
8349   cat confdefs.h >>conftest.$ac_ext
8350   cat >>conftest.$ac_ext <<_ACEOF
8351   /* end confdefs.h.  */
8352 < #include <mkl.h>
8352 > #include <CGAL/Cartesian.h>
8353   _ACEOF
8354   if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
8355    (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
# Line 7345 | Line 8360 | if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$a
8360    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8361    (exit $ac_status); } >/dev/null; then
8362    if test -s conftest.err; then
8363 <    ac_cpp_err=$ac_c_preproc_warn_flag
8364 <    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
8363 >    ac_cpp_err=$ac_cxx_preproc_warn_flag
8364 >    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
8365    else
8366      ac_cpp_err=
8367    fi
# Line 7366 | Line 8381 | case $ac_header_compiler:$ac_header_preproc:$ac_c_prep
8381   echo "${ECHO_T}$ac_header_preproc" >&6
8382  
8383   # So?  What about this header?
8384 < case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
8384 > case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
8385    yes:no: )
8386 <    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
8387 < echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8388 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
8389 < echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
8386 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&5
8387 > echo "$as_me: WARNING: CGAL/Cartesian.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
8388 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&5
8389 > echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the compiler's result" >&2;}
8390      ac_header_preproc=yes
8391      ;;
8392    no:yes:* )
8393 <    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
8394 < echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
8395 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
8396 < echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
8397 <    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
8398 < echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
8399 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
8400 < echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8401 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
8402 < echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
8403 <    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
8404 < echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
8393 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&5
8394 > echo "$as_me: WARNING: CGAL/Cartesian.h: present but cannot be compiled" >&2;}
8395 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&5
8396 > echo "$as_me: WARNING: CGAL/Cartesian.h:     check for missing prerequisite headers?" >&2;}
8397 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&5
8398 > echo "$as_me: WARNING: CGAL/Cartesian.h: see the Autoconf documentation" >&2;}
8399 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&5
8400 > echo "$as_me: WARNING: CGAL/Cartesian.h:     section \"Present But Cannot Be Compiled\"" >&2;}
8401 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&5
8402 > echo "$as_me: WARNING: CGAL/Cartesian.h: proceeding with the preprocessor's result" >&2;}
8403 >    { echo "$as_me:$LINENO: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&5
8404 > echo "$as_me: WARNING: CGAL/Cartesian.h: in the future, the compiler will take precedence" >&2;}
8405      (
8406        cat <<\_ASBOX
8407   ## ------------------------------ ##
# Line 7397 | Line 8412 | echo "$as_me:$LINENO: checking for mkl.h" >&5
8412        sed "s/^/$as_me: WARNING:     /" >&2
8413      ;;
8414   esac
8415 < echo "$as_me:$LINENO: checking for mkl.h" >&5
8416 < echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
8417 < if test "${ac_cv_header_mkl_h+set}" = set; then
8415 > echo "$as_me:$LINENO: checking for CGAL/Cartesian.h" >&5
8416 > echo $ECHO_N "checking for CGAL/Cartesian.h... $ECHO_C" >&6
8417 > if test "${ac_cv_header_CGAL_Cartesian_h+set}" = set; then
8418    echo $ECHO_N "(cached) $ECHO_C" >&6
8419   else
8420 <  ac_cv_header_mkl_h=$ac_header_preproc
8420 >  ac_cv_header_CGAL_Cartesian_h=$ac_header_preproc
8421   fi
8422 < echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
8423 < echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
8422 > echo "$as_me:$LINENO: result: $ac_cv_header_CGAL_Cartesian_h" >&5
8423 > echo "${ECHO_T}$ac_cv_header_CGAL_Cartesian_h" >&6
8424  
8425   fi
8426 < if test $ac_cv_header_mkl_h = yes; then
8427 <
7413 <    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
7414 < echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
7415 < if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
7416 <  echo $ECHO_N "(cached) $ECHO_C" >&6
8426 > if test $ac_cv_header_CGAL_Cartesian_h = yes; then
8427 >  cgal=yes
8428   else
8429 <  ac_check_lib_save_LIBS=$LIBS
8430 < LIBS="-lmkl  $LIBS"
8429 >  cgal=no
8430 > fi
8431 >
8432 >
8433 >    CXXFLAGS="$save_CXXFLAGS"
8434 >
8435 >    if test "x$cgal" = xyes; then
8436 >      echo "$as_me:$LINENO: checking for CGAL version" >&5
8437 > echo $ECHO_N "checking for CGAL version... $ECHO_C" >&6
8438 >      LOCATION=${CGAL_INCLDIR}
8439 >      LOCATION=${LOCATION:-/usr/include}
8440 >      if test -f $LOCATION/CGAL/version.h; then
8441 >        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/version.h | sed 's/[^0-9\.]*//g'`
8442 >      else
8443 >        CGAL_VERSION=`grep '#define.*\<CGAL_VERSION\>.*' $LOCATION/CGAL/config.h | sed 's/[^0-9\.]*//g'`
8444 >      fi
8445 >      if echo $CGAL_VERSION | grep -q "^[3456789]"; then
8446 >        echo "$as_me:$LINENO: result: ($CGAL_VERSION) yes" >&5
8447 > echo "${ECHO_T}($CGAL_VERSION) yes" >&6
8448 >      else
8449 >        echo "$as_me:$LINENO: result: ($CGAL_VERSION) no" >&5
8450 > echo "${ECHO_T}($CGAL_VERSION) no" >&6
8451 >        cgal=no
8452 >      fi
8453 >    fi
8454 >
8455 >    if test "x$cgal" = xyes; then
8456 >      CGAL_LIBS="-lCGAL"
8457 >      echo "$as_me:$LINENO: checking whether CGAL uses LEDA" >&5
8458 > echo $ECHO_N "checking whether CGAL uses LEDA... $ECHO_C" >&6
8459 >      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_LEDA; then
8460 >        CGAL_USES_LEDA=yes
8461 >        echo "$as_me:$LINENO: result: yes" >&5
8462 > echo "${ECHO_T}yes" >&6
8463 >        CGAL_DEFINES="-DCGAL_USE_LEDA -DLEDA_PREFIX"
8464 >      else
8465 >        echo "$as_me:$LINENO: result: no" >&5
8466 > echo "${ECHO_T}no" >&6
8467 >        CGAL_USES_LEDA=no
8468 >      fi
8469 >
8470 >      echo "$as_me:$LINENO: checking whether CGAL uses GMP" >&5
8471 > echo $ECHO_N "checking whether CGAL uses GMP... $ECHO_C" >&6
8472 >      if echo $CGAL_CXXFLAGS | grep -q -- -DCGAL_USE_GMP; then
8473 >        CGAL_USES_GMP=yes
8474 >        echo "$as_me:$LINENO: result: yes" >&5
8475 > echo "${ECHO_T}yes" >&6
8476 >        CGAL_DEFINES="-DCGAL_USE_GMP $CGAL_DEFINES"
8477 >      else
8478 >        echo "$as_me:$LINENO: result: no" >&5
8479 > echo "${ECHO_T}no" >&6
8480 >        CGAL_USES_GMP=no
8481 >      fi
8482 >
8483 >      CGAL_LIBS="$CGAL_LIBS -lm"
8484 >
8485 >      CGAL_CXXFLAGS="-ftemplate-depth-50"
8486 >
8487 >      echo "$as_me:$LINENO: result: CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&5
8488 > echo "${ECHO_T}CGAL_USES_LEDA=     $CGAL_USES_LEDA" >&6
8489 >      echo "$as_me:$LINENO: result: CGAL_USES_GMP =     $CGAL_USES_GMP" >&5
8490 > echo "${ECHO_T}CGAL_USES_GMP =     $CGAL_USES_GMP" >&6
8491 >      echo "$as_me:$LINENO: result: CGAL_INCLDIR  =     $CGAL_INCLDIR" >&5
8492 > echo "${ECHO_T}CGAL_INCLDIR  =     $CGAL_INCLDIR" >&6
8493 >      echo "$as_me:$LINENO: result: CGAL_LIBDIR   =     $CGAL_LIBDIR" >&5
8494 > echo "${ECHO_T}CGAL_LIBDIR   =     $CGAL_LIBDIR" >&6
8495 >      echo "$as_me:$LINENO: result: CGAL_DEFINES  =     $CGAL_DEFINES" >&5
8496 > echo "${ECHO_T}CGAL_DEFINES  =     $CGAL_DEFINES" >&6
8497 >      echo "$as_me:$LINENO: result: CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&5
8498 > echo "${ECHO_T}CGAL_CXXFLAGS =     $CGAL_CXXFLAGS" >&6
8499 >      echo "$as_me:$LINENO: result: CGAL_LIBS     =     $CGAL_LIBS" >&5
8500 > echo "${ECHO_T}CGAL_LIBS     =     $CGAL_LIBS" >&6
8501 >    fi
8502 >
8503 >    if test "x$cgal" = xyes; then
8504 >      save_LIBS="$LIBS"
8505 >      LIBS="$LIBS -L$CGAL_LIBDIR"
8506 >      if test "x$CGAL_USES_LEDA" = xyes; then
8507 >        LIBS="-lL $LIBS -L$LEDA_LIBDIR"
8508 >      fi
8509 >      # if test "x$CGAL_USES_GMP" = xyes; then
8510 >      #   LIBS="-lgmp $LIBS $GMP_LIBDIR"
8511 >      # fi
8512 >      echo "$as_me:$LINENO: checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL" >&5
8513 > echo $ECHO_N "checking for ::CGAL::Cartesian<int>::Point_2 in -lCGAL... $ECHO_C" >&6
8514 > save_CXXFLAGS_CHECK_CXX_LIB="$CXXFLAGS"
8515 > CXXFLAGS="$CXXFLAGS -I$CGAL_INCLDIR -I$CGAL_INCLCONFDIR"
8516 > save_LIBS_CHECK_CXX_LIB="$LIBS"
8517 > LIBS="-lCGAL  $LIBS"
8518   cat >conftest.$ac_ext <<_ACEOF
8519   /* confdefs.h.  */
8520   _ACEOF
8521   cat confdefs.h >>conftest.$ac_ext
8522   cat >>conftest.$ac_ext <<_ACEOF
8523   /* end confdefs.h.  */
8524 <
7427 < /* Override any gcc2 internal prototype to avoid an error.  */
7428 < #ifdef __cplusplus
7429 < extern "C"
7430 < #endif
7431 < /* We use char because int might match the return type of a gcc2
7432 <   builtin and then its argument prototype would still apply.  */
7433 < char vslNewStream ();
8524 > #include <CGAL/Cartesian.h>
8525   int
8526   main ()
8527   {
8528 < vslNewStream ();
8528 > ::CGAL::Cartesian<int>::Point_2 P
8529    ;
8530    return 0;
8531   }
# Line 7448 | Line 8539 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8539    cat conftest.err >&5
8540    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8541    (exit $ac_status); } &&
8542 <         { ac_try='test -z "$ac_c_werror_flag"
8542 >         { ac_try='test -z "$ac_cxx_werror_flag"
8543                           || test ! -s conftest.err'
8544    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
8545    (eval $ac_try) 2>&5
# Line 7461 | Line 8552 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
8552    ac_status=$?
8553    echo "$as_me:$LINENO: \$? = $ac_status" >&5
8554    (exit $ac_status); }; }; then
8555 <  ac_cv_lib_mkl_vslNewStream=yes
8555 >  echo "$as_me:$LINENO: result: yes" >&5
8556 > echo "${ECHO_T}yes" >&6
8557 > cgal=yes
8558   else
8559    echo "$as_me: failed program was:" >&5
8560   sed 's/^/| /' conftest.$ac_ext >&5
8561  
8562 < ac_cv_lib_mkl_vslNewStream=no
8562 > echo "$as_me:$LINENO: result: no" >&5
8563 > echo "${ECHO_T}no" >&6
8564 > cgal=no
8565   fi
8566   rm -f conftest.err conftest.$ac_objext \
8567        conftest$ac_exeext conftest.$ac_ext
8568 < LIBS=$ac_check_lib_save_LIBS
8569 < fi
8570 < echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
8571 < echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
7477 < if test $ac_cv_lib_mkl_vslNewStream = yes; then
7478 <  MKL_LIBDIR="${mkldir}/lib/32",
7479 <                     MKL_LIB="-lmkl -lvml -lguide",
7480 <                     HAVE_MKL="yes"
7481 < fi
8568 > CXXFLAGS="$save_CXXFLAGS_CHECK_CXX_LIB"
8569 > LIBS="$save_LIBS_CHECK_CXX_LIB"
8570 >      LIBS="$save_LIBS"
8571 >    fi
8572  
8573 <
7484 < else
7485 <  MKL_INC="-I${mkldir}/include"
7486 < fi
7487 <
7488 <
7489 <  CPPFLAGS=$ac_save_CPPFLAGS
7490 <  LDFLAGS=$ac_save_LDFLAGS
8573 >  fi
8574    ac_ext=c
8575   ac_cpp='$CPP $CPPFLAGS'
8576   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 7495 | Line 8578 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
8578   ac_compiler_gnu=$ac_cv_c_compiler_gnu
8579  
8580  
8581 <  if test x_$HAVE_MKL != x_yes; then
8582 <        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
8583 < echo "$as_me: error: Can't build with MKL" >&2;}
8584 <   { (exit 1); exit 1; }; }
8581 > fi
8582 >
8583 > if test "x$cgal" = xyes; then
8584 >  USE_CGAL=yes
8585 >
8586 > cat >>confdefs.h <<\_ACEOF
8587 > #define HAVE_CGAL 1
8588 > _ACEOF
8589 >
8590 >
8591 > cat >>confdefs.h <<_ACEOF
8592 > #define CGAL_VERSION $CGAL_VERSION
8593 > _ACEOF
8594 >
8595 >  if ! echo $CGAL_VERSION | grep -q "^3.0"; then
8596 >    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8597 > echo "$as_me: WARNING: *****************************************************" >&2;}
8598 >    { echo "$as_me:$LINENO: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&5
8599 > echo "$as_me: WARNING: *** Warning: Your CGAL version is newer than the  ***" >&2;}
8600 >    { echo "$as_me:$LINENO: WARNING: *** supported versions. It may still work though. ***" >&5
8601 > echo "$as_me: WARNING: *** supported versions. It may still work though. ***" >&2;}
8602 >    { echo "$as_me:$LINENO: WARNING: *****************************************************" >&5
8603 > echo "$as_me: WARNING: *****************************************************" >&2;}
8604    fi
8605 + else
8606 +   if test "x$cgal_makefile" != xno; then
8607 +    echo "$as_me:$LINENO: result: No CGAL support. These are not the droids you want." >&5
8608 + echo "${ECHO_T}No CGAL support. These are not the droids you want." >&6
8609 +  fi
8610 +  CGAL_INCLDIR=
8611 +  CGAL_LIBDIR=
8612 +  CGAL_RLIBDIR=
8613 +  CGAL_DEFINES=
8614 +  CGAL_CXXFLAGS=
8615 +  CGAL_LIBS=
8616 + fi
8617  
8618  
8619 + CGAL_INC_DIR="${CGAL_INCLDIR} ${CGAL_INCLCONFDIR}"
8620  
8621 + CGAL_LIB_DIR=${CGAL_LIBDIR}
8622  
8623 + CGAL_RLIB_DIR=${CGAL_RLIBDIR}
8624  
8625 +
8626 +
8627 +
8628 +
8629 +
8630 +
8631 + # Check whether --enable-doxygen or --disable-doxygen was given.
8632 + if test "${enable_doxygen+set}" = set; then
8633 +  enableval="$enable_doxygen"
8634 +
8635 + fi;
8636 + # Check whether --enable-dot or --disable-dot was given.
8637 + if test "${enable_dot+set}" = set; then
8638 +  enableval="$enable_dot"
8639 +
8640 + fi;
8641 + # Check whether --enable-html-docs or --disable-html-docs was given.
8642 + if test "${enable_html_docs+set}" = set; then
8643 +  enableval="$enable_html_docs"
8644 +
8645   else
8646 +   enable_html_docs=yes
8647 + fi;
8648 + # Check whether --enable-latex-docs or --disable-latex-docs was given.
8649 + if test "${enable_latex_docs+set}" = set; then
8650 +  enableval="$enable_latex_docs"
8651  
8652 <    echo "$as_me:$LINENO: result: no" >&5
8652 > else
8653 >   enable_latex_docs=no
8654 > fi;
8655 > if test "x$enable_doxygen" = xno; then
8656 >        enable_doc=no
8657 > else
8658 >        # Extract the first word of "doxygen", so it can be a program name with args.
8659 > set dummy doxygen; ac_word=$2
8660 > echo "$as_me:$LINENO: checking for $ac_word" >&5
8661 > echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
8662 > if test "${ac_cv_path_DOXYGEN+set}" = set; then
8663 >  echo $ECHO_N "(cached) $ECHO_C" >&6
8664 > else
8665 >  case $DOXYGEN in
8666 >  [\\/]* | ?:[\\/]*)
8667 >  ac_cv_path_DOXYGEN="$DOXYGEN" # Let the user override the test with a path.
8668 >  ;;
8669 >  *)
8670 >  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
8671 > for as_dir in $PATH
8672 > do
8673 >  IFS=$as_save_IFS
8674 >  test -z "$as_dir" && as_dir=.
8675 >  for ac_exec_ext in '' $ac_executable_extensions; do
8676 >  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
8677 >    ac_cv_path_DOXYGEN="$as_dir/$ac_word$ac_exec_ext"
8678 >    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
8679 >    break 2
8680 >  fi
8681 > done
8682 > done
8683 >
8684 >  ;;
8685 > esac
8686 > fi
8687 > DOXYGEN=$ac_cv_path_DOXYGEN
8688 >
8689 > if test -n "$DOXYGEN"; then
8690 >  echo "$as_me:$LINENO: result: $DOXYGEN" >&5
8691 > echo "${ECHO_T}$DOXYGEN" >&6
8692 > else
8693 >  echo "$as_me:$LINENO: result: no" >&5
8694   echo "${ECHO_T}no" >&6
8695 + fi
8696  
8697 < fi;
8697 >        if test "x$DOXYGEN" = x; then
8698 >                if test "x$enable_doxygen" = xyes; then
8699 >                        { { echo "$as_me:$LINENO: error: could not find doxygen" >&5
8700 > echo "$as_me: error: could not find doxygen" >&2;}
8701 >   { (exit 1); exit 1; }; }
8702 >                fi
8703 >                enable_doc=no
8704 >        else
8705 >                enable_doc=yes
8706 >                # Extract the first word of "dot", so it can be a program name with args.
8707 > set dummy dot; ac_word=$2
8708 > echo "$as_me:$LINENO: checking for $ac_word" >&5
8709 > echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
8710 > if test "${ac_cv_path_DOT+set}" = set; then
8711 >  echo $ECHO_N "(cached) $ECHO_C" >&6
8712 > else
8713 >  case $DOT in
8714 >  [\\/]* | ?:[\\/]*)
8715 >  ac_cv_path_DOT="$DOT" # Let the user override the test with a path.
8716 >  ;;
8717 >  *)
8718 >  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
8719 > for as_dir in $PATH
8720 > do
8721 >  IFS=$as_save_IFS
8722 >  test -z "$as_dir" && as_dir=.
8723 >  for ac_exec_ext in '' $ac_executable_extensions; do
8724 >  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
8725 >    ac_cv_path_DOT="$as_dir/$ac_word$ac_exec_ext"
8726 >    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
8727 >    break 2
8728 >  fi
8729 > done
8730 > done
8731 >
8732 >  ;;
8733 > esac
8734 > fi
8735 > DOT=$ac_cv_path_DOT
8736 >
8737 > if test -n "$DOT"; then
8738 >  echo "$as_me:$LINENO: result: $DOT" >&5
8739 > echo "${ECHO_T}$DOT" >&6
8740 > else
8741 >  echo "$as_me:$LINENO: result: no" >&5
8742 > echo "${ECHO_T}no" >&6
8743 > fi
8744 >
8745 >        fi
8746 > fi
8747 >
8748 > if test "x$enable_doc" = xyes; then
8749 >  DOC=1
8750 > else
8751 >  DOC=0
8752 > fi
8753 >
8754 >
8755 > if test x$DOT = x; then
8756 >        if test "x$enable_dot" = xyes; then
8757 >                { { echo "$as_me:$LINENO: error: could not find dot" >&5
8758 > echo "$as_me: error: could not find dot" >&2;}
8759 >   { (exit 1); exit 1; }; }
8760 >        fi
8761 >        enable_dot=no
8762 > else
8763 >        enable_dot=yes
8764 > fi
8765  
8766  
8767  
8768  
8769  
8770 +
8771 +
8772   OBJEXT=".$OBJEXT"
8773  
8774   OOPSE=oopse
# Line 7572 | Line 8825 | esac
8825  
8826  
8827  
8828 +
8829            ac_config_headers="$ac_config_headers src/config.h"
8830  
8831 <          ac_config_files="$ac_config_files make/Makefile"
8831 >                                        ac_config_files="$ac_config_files make/Makefile src/utils/Makefile src/applications/nanoRodBuilder/Makefile scripts/filepp"
8832  
8833  
8834   cat >confcache <<\_ACEOF
# Line 8106 | Line 9360 | do
9360    case "$ac_config_target" in
9361    # Handling of arguments.
9362    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
9363 <  "utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS utils/getopt.h:utils/gnugetopt.h" ;;
9363 >  "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
9364 >  "src/applications/nanoRodBuilder/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/applications/nanoRodBuilder/Makefile" ;;
9365 >  "scripts/filepp" ) CONFIG_FILES="$CONFIG_FILES scripts/filepp" ;;
9366 >  "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
9367    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
9368    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
9369   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 8227 | Line 9484 | s,@CPP@,$CPP,;t t
9484   s,@F90_WORK_FILES_ARG@,$F90_WORK_FILES_ARG,;t t
9485   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
9486   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
9487 + s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
9488   s,@CPP@,$CPP,;t t
9489   s,@EGREP@,$EGREP,;t t
9490   s,@LIBOBJS@,$LIBOBJS,;t t
# Line 8241 | Line 9499 | s,@AR@,$AR,;t t
9499   s,@LEX@,$LEX,;t t
9500   s,@LEXLIB@,$LEXLIB,;t t
9501   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
9502 + s,@PERLINTERP@,$PERLINTERP,;t t
9503 + s,@PERL_SHEBANG@,$PERL_SHEBANG,;t t
9504   s,@AR@,$AR,;t t
9505 + s,@PS@,$PS,;t t
9506   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
9507   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
9508   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
9509   s,@MPI_LIB@,$MPI_LIB,;t t
9510   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
9511   s,@USE_MPI@,$USE_MPI,;t t
9512 < s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
9513 < s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
9514 < s,@SPRNG_LIB@,$SPRNG_LIB,;t t
9515 < s,@USE_SPRNG@,$USE_SPRNG,;t t
9516 < s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
9517 < s,@MKL_LIB@,$MKL_LIB,;t t
9518 < s,@MKL_INC@,$MKL_INC,;t t
9519 < s,@HAVE_MKL@,$HAVE_MKL,;t t
9512 > s,@CXXCPP@,$CXXCPP,;t t
9513 > s,@USE_CGAL@,$USE_CGAL,;t t
9514 > s,@CGAL_INC_DIR@,$CGAL_INC_DIR,;t t
9515 > s,@CGAL_LIB_DIR@,$CGAL_LIB_DIR,;t t
9516 > s,@CGAL_RLIB_DIR@,$CGAL_RLIB_DIR,;t t
9517 > s,@CGAL_DEFINES@,$CGAL_DEFINES,;t t
9518 > s,@CGAL_CXXFLAGS@,$CGAL_CXXFLAGS,;t t
9519 > s,@CGAL_LIBS@,$CGAL_LIBS,;t t
9520 > s,@DOXYGEN@,$DOXYGEN,;t t
9521 > s,@DOT@,$DOT,;t t
9522 > s,@DOC@,$DOC,;t t
9523 > s,@enable_dot@,$enable_dot,;t t
9524 > s,@enable_html_docs@,$enable_html_docs,;t t
9525 > s,@enable_latex_docs@,$enable_latex_docs,;t t
9526   s,@BATEXT@,$BATEXT,;t t
9527   s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
9528   s,@OOPSE@,$OOPSE,;t t
# Line 8499 | Line 9766 | done
9766      rm -f $tmp/out
9767    fi
9768  
9769 +  # Run the commands associated with the file.
9770 +  case $ac_file in
9771 +    make/Makefile ) chmod 0755 scripts/* ;;
9772 +    src/utils/Makefile ) chmod 0755 scripts/* ;;
9773 +    src/applications/nanoRodBuilder/Makefile ) chmod 0755 scripts/* ;;
9774 +    scripts/filepp ) chmod 0755 scripts/* ;;
9775 +  esac
9776   done
9777   _ACEOF
9778   cat >>$CONFIG_STATUS <<\_ACEOF

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines